"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handleGetRegisteredSyncGenerators = void 0;
const sync_generators_1 = require("./sync-generators");
async function handleGetRegisteredSyncGenerators() {
    const syncGenerators = await (0, sync_generators_1.getCachedRegisteredSyncGenerators)();
    return {
        response: JSON.stringify(syncGenerators),
        description: 'handleGetSyncGeneratorChanges',
    };
}
exports.handleGetRegisteredSyncGenerators = handleGetRegisteredSyncGenerators;
