"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handleGetSyncGeneratorChanges = void 0;
const sync_generators_1 = require("./sync-generators");
async function handleGetSyncGeneratorChanges(generators) {
    const changes = await (0, sync_generators_1.getCachedSyncGeneratorChanges)(generators);
    return {
        response: JSON.stringify(changes),
        description: 'handleGetSyncGeneratorChanges',
    };
}
exports.handleGetSyncGeneratorChanges = handleGetSyncGeneratorChanges;
