import type { ProjectGraph } from '../config/project-graph';
import type { ProjectConfiguration } from '../config/workspace-json-project-json';
import { FsTree, type FileChange } from '../generators/tree';
export declare function getSyncGeneratorChanges(generators: string[]): Promise<FileChange[]>;
export declare function collectAllRegisteredSyncGenerators(projectGraph: ProjectGraph): Promise<string[]>;
export declare function runSyncGenerator(tree: FsTree, generatorSpecifier: string, projects: Record<string, ProjectConfiguration>): Promise<FileChange[]>;
export declare function collectRegisteredTaskSyncGenerators(projectGraph: ProjectGraph): Set<string>;
export declare function collectRegisteredGlobalSyncGenerators(nxJson?: import("../config/nx-json").NxJsonConfiguration<string[] | "*">): Set<string>;
